Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Hi from Texas,won't fly out of box

Discussion in 'Introductions' started by Darn drone, Feb 7, 2016.

  1. Darn drone

    Feb 7, 2016
    Likes Received:
    Hi guys,girls,and drone flyers of all types,lol...
    I am a disabled army vet,being wheelchair bound it leaves little to do at lot of the time,that's not a PIA,lol anyway this is my second drone I purchased a Parrot which seemed to work ok,but was not as great as I thought it would be,but fun,although hard to control,even after moving out to the country..

    So I moved it to the advance 3 DJI,thinking with all the great reviews it would be great,and from what I read it would work without too many problems,but it just won't fly period..
    I tried the iPad Air,and the iPhone 6s ...
    So I tried to updated the firmware,although I just don't understand why we or should have to,if they worked for others with the old programming why shouldn't mine,and if they knew it was not going to work,why the heck is it not up to date before selling it..

    Im not in anyway a expert with a laptop,so I followed the instructions for the. Zip file,and it keeps showing me my iTunes file,I erase iTunes,and the file just comes back showing it a apple tunes logo..the zip file numbers even match the current update fromDJI...
    Signed confused..
  2. Meta4

    Meta4 Moderator
    Staff Member

    Jan 8, 2014
    Likes Received:
    Don't worry about updating the firmware for now. With modern electronics, the manufacturers keep updating to incorporate improvements or fixes and they can't keep updating once things leave the factory.
    That's why your new machine might not have the absolute latest.
    But they haven't put anything critical in the last few versions and yours will fly just fine as it came.

    Now ... what made yo say that it wouldn't fly out of the box?
    If it's just the update thing - that will be safe to ignore for now.
    many fliers are using firmware that's a little older than the latest and the app is only advising that newer is available but you don't have to update it to fly.